Package org.jboss.modules

# Class LocalModuleLoader

java.lang.Object
org.jboss.modules.ModuleLoader
org.jboss.modules.DelegatingModuleLoader
org.jboss.modules.LocalModuleLoader

All Implemented Interfaces:
  `AutoCloseable`

public final class LocalModuleLoader extends DelegatingModuleLoader implements AutoCloseable
A local filesystem-backed module loader.

Author:
  John Bailey, David M. Lloyd

## Field Summary

### Fields inherited from class org.jboss.modules.ModuleLoader

`NO_FINDERS`

## Constructor Summary

Constructors
Constructor
Description
`LocalModuleLoader()`
Construct a new instance, using the `module.path` system property or the `JAVA_MODULEPATH` environment variable to get the list of module repository roots.
`LocalModuleLoader(File[] repoRoots)`
Construct a new instance.
`LocalModuleLoader(File[] repoRoots, PathFilter pathFilter)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Close this module loader and release all backing files.
`String`
`toString()`
Get the string representation of this module loader.

### Methods inherited from class org.jboss.modules.DelegatingModuleLoader

`preloadModule`

### Methods inherited from class org.jboss.modules.ModuleLoader

`findLoadedModuleLocal, findLoadedModuleLocal, findModule, findModule, forClass, forClassLoader, getDependencies, getFinders, getModuleDescription, installMBeanServer, iterateModules, iterateModules, loadModule, loadModule, loadModuleLocal, loadModuleLocal, preloadExportedModule, preloadExportedModule, preloadModule, preloadModule, preloadModule, refreshResourceLoaders, relink, setAndRefreshResourceLoaders, setAndRelinkDependencies, unloadModuleLocal, unloadModuleLocal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LocalModuleLoader

public LocalModuleLoader(File[] repoRoots)
Construct a new instance.

Parameters:
  `repoRoots` - the array of repository roots to look for modules

### LocalModuleLoader

public LocalModuleLoader(File[] repoRoots, PathFilter pathFilter)
Construct a new instance.

Parameters:
  `repoRoots` - the array of repository roots to look for modules
  `pathFilter` - the path filter to apply to roots

### LocalModuleLoader

public LocalModuleLoader()
Construct a new instance, using the `module.path` system property or the `JAVA_MODULEPATH` environment variable to get the list of module repository roots.

## Method Details

### toString

public String toString()
Description copied from class: `ModuleLoader`
Get the string representation of this module loader.

Overrides:
  `toString` in class `ModuleLoader`
Returns:
  the string representation

### close

public void close()
Close this module loader and release all backing files. Note that subsequent load attempts will fail with an error after this method is called.

Specified by:
  `close` in interface `AutoCloseable`